ONVIF::Media::Types::VideoEncoderOptionsExtension(3pm)

NAME
ONVIF::Media::Types::VideoEncoderOptionsExtension

DESCRIPTION
Perl data type class for the XML Schema defined complexType VideoEncoderOptionsExtension from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   JPEG

•   MPEG4

•   H264

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Media::Types::VideoEncoderOptionsExtension
   JPEG =>  { # ONVIF::Media::Types::JpegOptions2
     BitrateRange =>  { # ONVIF::Media::Types::IntRange
       Min =>  $some_value, # int
       Max =>  $some_value, # int
     },
   },
   MPEG4 =>  { # ONVIF::Media::Types::Mpeg4Options2
     BitrateRange =>  { # ONVIF::Media::Types::IntRange
       Min =>  $some_value, # int
       Max =>  $some_value, # int
     },
   },
   H264 =>  { # ONVIF::Media::Types::H264Options2
     BitrateRange =>  { # ONVIF::Media::Types::IntRange
       Min =>  $some_value, # int
       Max =>  $some_value, # int
     },
   },
   Extension =>  { # ONVIF::Media::Types::VideoEncoderOptionsExtension2
   },
 },

AUTHOR
Generated by SOAP::WSDL